Subject: Re: What's cooking in git.git (Jan 2026, #04)

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Jan 2026 06:26:58 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Tue, Jan 13, 2026 at 12:10:13PM -0800, Junio C Hamano wrote:
>> * ps/read-object-info-improvements (2026-01-12) 8 commits
>>  - packfile: drop repository parameter from `packed_object_info()`
>>  - packfile: skip unpacking object header for disk size requests
>>  - packfile: disentangle return value of `packed_object_info()`
>>  - packfile: always populate pack-specific info when reading object info
>>  - packfile: extend `is_delta` field to allow for "unknown" state
>>  - packfile: always declare object info to be OI_PACKED
>>  - object-file: always set OI_LOOSE when reading object info
>>  - Merge branch 'jc/object-read-stream-fix' into ps/read-object-info-improvements
>> 
>>  The object-info API has been cleaned up.
>> 
>>  Comments?
>>  source: <202[email-masked]>
>
> I think this topic should be ready by now. The last iteration only added
> another test that catches a bug we recently started to hit in production
> systems, and the previous iterations all received reviews.
>
> I can try to loop in another set of reviewers though if you prefer.

For a topic like this with multiple iterations, I always revisit the
thread overview

https://lore.kernel.org/git/202[email-masked]/

at lore, but it is hard to judge quickly if we have reached the
point of diminishing returns when the last few rounds got almost no
responses.

> I also noticed that the patch series at [1] is not in "seen" yet. Is
> that intentional or merely an oversight?
>
> Thanks!
>
> Patrick
>
> [1]: <[email-masked]>

It was more like "this topic saw a few responses, one saying the
thing is confusing, another saying the series is good up to one
point without mentioning anything about the later steps. perhaps it
is time to see an updated series, in which case my time is better
spent on other topics first".

Will take a look at them later today.  Thanks for pinging.